From c6f6e020a1402c469811baffc92e4ccd702b40c3 Mon Sep 17 00:00:00 2001
From: giordano <domenico.giordano@cern.ch>
Date: Thu, 19 Sep 2019 17:01:46 +0200
Subject: [PATCH] in case of error, still keep the json structure

---
 atlas/kv/atlas-kv/parseResults.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/atlas/kv/atlas-kv/parseResults.sh b/atlas/kv/atlas-kv/parseResults.sh
index b543cacf..3a501dcb 100644
--- a/atlas/kv/atlas-kv/parseResults.sh
+++ b/atlas/kv/atlas-kv/parseResults.sh
@@ -29,7 +29,7 @@ n = asort(a); if (n % 2) {
     } else {
         median=(a[(n / 2)] + a[(n / 2) + 1]) / 2.0;};
 printf "\"wl-scores\": {\"sim\": %.4f} , \"wl-stats\": {\"score\": %.4f, \"avg\": %.4f, \"median\": %.4f, \"min\": %.4f, \"max\": %.4f}", sum, sum, sum/count, median, amin, amax
-}' || (STATUS=1; echo "\"[ERROR] Something went wrong in parsing the real time score\"")`
+}' || (STATUS=1; echo "\"wl-scores\": {}")`
   #-----------------------
   # Generate json summary
   #-----------------------
-- 
GitLab